OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DataMapOfLabelListOfLabel Class Reference

`#include <TFunction_DataMapOfLabelListOfLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_DataMapOfLabelListOfLabel (const Standard_Integer NbBuckets=1)
Standard_EXPORT TFunction_DataMapOfLabelListOfLabel & | Assign (const TFunction_DataMapOfLabelListOfLabel &Other)
TFunction_DataMapOfLabelListOfLabel & | operator= (const TFunction_DataMapOfLabelListOfLabel &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TFunction_DataMapOfLabelListOfLabel ()
Standard_EXPORT Standard_Boolean | Bind (const TDF_Label &K, const TDF_LabelList &I)
Standard_EXPORT Standard_Boolean | IsBound (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TDF_Label &K)
Standard_EXPORT const TDF_LabelList & | Find (const TDF_Label &K) const
const TDF_LabelList & | operator() (const TDF_Label &K) const
Standard_EXPORT TDF_LabelList & | ChangeFind (const TDF_Label &K)
TDF_LabelList & | operator() (const TDF_Label &K)
## Private Member Functions
Standard_EXPORT | TFunction_DataMapOfLabelListOfLabel (const TFunction_DataMapOfLabelListOfLabel &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_DataMapOfLabelListOfLabel::TFunction_DataMapOfLabelListOfLabel | ( | const Standard_Integer | NbBuckets = `1` | ) |

TFunction_DataMapOfLabelListOfLabel::~TFunction_DataMapOfLabelListOfLabel | ( |  | ) | `[inline]`

Standard_EXPORT TFunction_DataMapOfLabelListOfLabel::TFunction_DataMapOfLabelListOfLabel | ( | const TFunction_DataMapOfLabelListOfLabel & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TFunction_DataMapOfLabelListOfLabel& TFunction_DataMapOfLabelListOfLabel::Assign | ( | const TFunction_DataMapOfLabelListOfLabel & | Other | ) |

Standard_EXPORT Standard_Boolean TFunction_DataMapOfLabelListOfLabel::Bind | ( | const TDF_Label & | K,
|  | const TDF_LabelList & | I
| ) |

Standard_EXPORT TDF_LabelList& TFunction_DataMapOfLabelListOfLabel::ChangeFind | ( | const TDF_Label & | K | ) |

Standard_EXPORT void TFunction_DataMapOfLabelListOfLabel::Clear | ( |  | ) |

Standard_EXPORT const TDF_LabelList& TFunction_DataMapOfLabelListOfLabel::Find | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean TFunction_DataMapOfLabelListOfLabel::IsBound | ( | const TDF_Label & | K | ) | const

void TFunction_DataMapOfLabelListOfLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_DataMapOfLabelListOfLabel::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_DataMapOfLabelListOfLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_LabelList& TFunction_DataMapOfLabelListOfLabel::operator() | ( | const TDF_Label & | K | ) | `[inline]`

const TDF_LabelList& TFunction_DataMapOfLabelListOfLabel::operator() | ( | const TDF_Label & | K | ) | const`[inline]`

TFunction_DataMapOfLabelListOfLabel& TFunction_DataMapOfLabelListOfLabel::operator= | ( | const TFunction_DataMapOfLabelListOfLabel & | Other | ) | `[inline]`

Standard_EXPORT void TFunction_DataMapOfLabelListOfLabel::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TFunction_DataMapOfLabelListOfLabel::UnBind | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- TFunction_DataMapOfLabelListOfLabel.hxx